Skip to main content
GET
/
v1
/
userNameProofByName
Proof for a username
curl --request GET \
  --url https://snapchain-api.neynar.com/v1/userNameProofByName \
  --header 'x-api-key: <api-key>'
import requests

url = "https://snapchain-api.neynar.com/v1/userNameProofByName"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://snapchain-api.neynar.com/v1/userNameProofByName', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "timestamp": 123,
  "name": "neynar",
  "owner": "<string>",
  "signature": "aSDinaTvuI8gbWludGxpZnk=",
  "fid": 1,
  "type": "USERNAME_TYPE_FNAME"
}
{
  "errCode": "<string>",
  "presentable": true,
  "name": "<string>",
  "code": 123,
  "details": "<string>",
  "metadata": {
    "errcode": [
      "<string>"
    ]
  }
}

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

name
string
required

The Farcaster username or ENS address

Response

A successful response.

timestamp
integer<uint64>
required

Seconds since Unix Epoch which began on Jan 1, 1970 00:00:00 UTC

name
string
required
Example:

"neynar"

owner
string
required
Pattern: ^0x[0-9a-fA-F]{40}$
signature
string<byte>
required
Pattern: ^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$
fid
integer<uint64>
required

The FID of the user who owns this username proof

Required range: x >= 1
Example:

1

type
enum<string>
default:USERNAME_TYPE_FNAME
required
Available options:
USERNAME_TYPE_FNAME,
USERNAME_TYPE_ENS_L1